Get badge group by ID

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API allows you to retrieve details of a group using the group ID.

👍

Note

For detailed information about our APIs and for hands-on testing, refer documentation in API overview and step-by-step guide on making your first API call in Make your first API call.

Example request

curl --location 'https://eu.api.capillarytech.com/api_gateway/v1/badges/group/69708faa0772ad476ecf8511' \
--header 'Authorization: Basic bWFkaHV3MjU2YQ==' \
--header 'Cookie: _cfuvid=LbgLgMATQVG7rxgU6obNtuTjuntKzGkHg15XluHdUPI-1768984490920-0.0.1.1-604800000'

Prerequisites

  • Authentication: Basic or OAuth authentication
  • Default access group

Resource information

URLapi_gateway/v1/badges/group/{groupId}
PaginationNo
Batch supportNo
Rate limit informationNone

API endpoint example

https://eu.api.capillarytech.com/api_gateway/v1/badges/group/{groupId}

Request path parameters

ParametersData TypeDescription
groupId*StringUnique ID of the group. Ex: 6560ad9c7e3e81134376008b

Request query parameters

ParametersData TypeDescription
orderEnumSort response based on order. Supported values: ASC and DESC
sizeIntegerThe number of items or records returned in a single API response.
pageIntegerThe amount of the data that you want to retrieve. Default value: 10.
statusBooleanIndicates whether the group is active. Ex: Set the status to true to
https://eucrm.cc.capillarytech.com/api_gateway/v1/badges/group/6581281e8f68666070de15c5

Example response

{
    "data": {
        "id": "69708faa0772ad476ecf8511",
        "orgId": 100737,
        "name": "skjhfdjfhgiok",
        "rank": 214748364,
        "createdBy": 75197372,
        "createdOn": 1768984490.856000000,
        "createdOnISO": "2026-01-21T08:34:50Z",
        "lastUpdatedBy": 75197372,
        "lastUpdatedOn": 1768984490.856000000,
        "lastUpdatedOnISO": "2026-01-21T08:34:50Z",
        "isActive": true
    },
    "errors": null,
    "warnings": null
}

Response parameters

ParameterData TypeDescription
idStringUnique ID of the group.
orgIdIntegerUnique ID of the org.
nameStringName of the group.
rankIntegerRank of the group.
createdByIntegerID of the user who created the group.
createdOnTimestampTimestamp when the group was created, in epoch timestamp format.
createdOnISOString

Timestamp when the group was created, in ISO 8601 format, returned in the server time zone.

EU server example 2025-12-16T14:30:45Z → 16 December 2025, 14:30:45 (UTC)

India server example 2025-12-16T14:30:45+05:30 → 16 December 2025, 14:30:45 (IST)

Note: The response time zone always matches the server time zone, regardless of the time zone offset in the request.

lastUpdatedByIntegerID of the user who last updated the group.
lastUpdatedOnTimestampTimestamp when the group was last updated, in epoch timestamp format.
lastUpdatedOnISOString

Timestamp when the group was last updated, in ISO 8601 format, returned in the server time zone.

EU server example 2025-12-16T14:30:45Z → 16 December 2025, 14:30:45 (UTC)

India server example 2025-12-16T14:30:45+05:30 → 16 December 2025, 14:30:45 (IST)

Note: The response time zone always matches the server time zone, regardless of the time zone offset in the request.

isActiveBooleanIndicates whether the group is active
errorsObjectIndicates that there are no errors
warningsObjectIndicates that there are no warnings
Path Params
string
required
Query Params
string
enum
Allowed:
int32
string
boolean
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json